Package org.apache.qpid.proton.engine.impl.ssl

# Interface ProtonSslEngineProvider

All Known Implementing Classes:
  `SslDomainImpl`

public interface ProtonSslEngineProvider

## Method Summary

Modifier and Type
Method
Description
`ProtonSslEngine`
`createSslEngine(SslPeerDetails peerDetails)`
Returns an SSL engine.

## Method Details

### createSslEngine

ProtonSslEngine createSslEngine(SslPeerDetails peerDetails)
Returns an SSL engine.

Parameters:
  `peerDetails` - the details of the remote peer. If non-null, may be used to assist SSL session resumption.